'use strict';

var pluginPermissionCommon = require('@backstage/plugin-permission-common');

const gitlabPipelinesReadPermission = pluginPermissionCommon.createPermission({
  name: "gitlab.pipelines.read",
  attributes: { action: "read" }
});
const gitlabPipelinesStartWorkflowPermission = pluginPermissionCommon.createPermission({
  name: "gitlab.pipelines.create",
  attributes: { action: "create" }
});
const gitlabPipelinesPermissions = [gitlabPipelinesReadPermission, gitlabPipelinesStartWorkflowPermission];

exports.gitlabPipelinesPermissions = gitlabPipelinesPermissions;
exports.gitlabPipelinesReadPermission = gitlabPipelinesReadPermission;
exports.gitlabPipelinesStartWorkflowPermission = gitlabPipelinesStartWorkflowPermission;
//# sourceMappingURL=index.cjs.js.map
