import { createPermission } from '@backstage/plugin-permission-common';

const gitlabPipelinesReadPermission = createPermission({
  name: "gitlab.pipelines.read",
  attributes: { action: "read" }
});
const gitlabPipelinesStartWorkflowPermission = createPermission({
  name: "gitlab.pipelines.create",
  attributes: { action: "create" }
});
const gitlabPipelinesPermissions = [gitlabPipelinesReadPermission, gitlabPipelinesStartWorkflowPermission];

export { gitlabPipelinesPermissions, gitlabPipelinesReadPermission, gitlabPipelinesStartWorkflowPermission };
//# sourceMappingURL=permissions.esm.js.map
